BaseMetricDisplay (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class BaseMetricDisplay

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
          org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
              org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  MetricDisplaySummary

    public abstract class BaseMetricDisplay

extends MeasurementSummary
implements java.io.Serializable, java.lang.Comparable

Represents a metric that may be displayed in a list context. All fields refer to display needs in a list context in the monitoring UI.

See Also:
  Serialized Form

Field Summary
`protected static java.util.List` | `attrKeyList`

Constructor Summary
`BaseMetricDisplay()` Constructor for MetricDisplaySummary.

Method Summary
`int` | `compareTo(java.lang.Object arg0)`
`MetricDisplayValue` | `getAvgMetric()`
`java.lang.Long` | `getBeginTimeFrame()` Method getBeginTimeFrame.
`boolean` | `getCollecting()`
`java.lang.Integer` | `getCollectionType()` Get the collection type for the metrics.
`java.lang.Boolean` | `getDesignated()`
`java.lang.String` | `getDisplayUnits()`
`java.lang.Long` | `getEndTimeFrame()` Method getEndTimeFrame.
`MetricDisplayValue` | `getLastMetric()`
`MetricDisplayValue` | `getMaxMetric()`
`MetricDisplayValue` | `getMetric(java.lang.String key)`
`java.lang.String[]` | `getMetricKeys()`
`java.util.Map` | `getMetrics()`
`java.lang.String` | `getMetricSource()`
`double[]` | `getMetricValueDoubles()`
`MetricDisplayValue` | `getMinMetric()`
`java.lang.Boolean` | `getShowNumberCollecting()` Returns the showNumberCollecting.
`java.lang.Integer` | `getTemplateCat()` Method getMeasurementTemplateType.
`java.lang.String` | `getUnits()` Method getIntervalUnits.
`void` | `setBeginTimeFrame(java.lang.Long beginTimeFrame)` Method setBeginTimeFrame.
`void` | `setCollecting(boolean collecting)`
`void` | `setCollectionType(java.lang.Integer collectionType)`
`void` | `setDesignated(java.lang.Boolean designated)` Sets the designated.
`void` | `setDisplayUnits(java.lang.String string)`
`void` | `setEndTimeFrame(java.lang.Long endTimeFrame)` Method setEndTimeFrame.
`void` | `setMetric(java.lang.String key, MetricDisplayValue value)`
`void` | `setMetrics(java.util.Map metrics)`
`void` | `setMetricSource(java.lang.String string)`
`void` | `setShowNumberCollecting(java.lang.Boolean showNumberCollecting)` Sets the showNumberCollecting.
`void` | `setTemplateCat(java.lang.Integer templateCat)` Method setMeasurementTemplateType.
`void` | `setUnits(java.lang.String units)` Method setIntervalUnits.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
`asList, getAvailDown, getAvailUnknown, getAvailUp, setAvailDown, setAvailUnknown, setAvailUp`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
`getCategory, getDescription, getId, getInterval, getLabel, getName, getTemplateId, setCategory, setDescription, setInterval, setLabel, setTemplateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attrKeyList

    protected static final java.util.List attrKeyList

Constructor Detail

### BaseMetricDisplay

    public BaseMetricDisplay()

  Constructor for MetricDisplaySummary.

Method Detail

### getMetricValueDoubles

    public double[] getMetricValueDoubles()

### getMetricKeys

    public java.lang.String[] getMetricKeys()

### setMetric

    public void setMetric(java.lang.String key,
                          MetricDisplayValue value)

### getMetric

    public MetricDisplayValue getMetric(java.lang.String key)

### getMetrics

    public java.util.Map getMetrics()

### setMetrics

    public void setMetrics(java.util.Map metrics)

### getMinMetric

    public MetricDisplayValue getMinMetric()

### getMaxMetric

    public MetricDisplayValue getMaxMetric()

### getAvgMetric

    public MetricDisplayValue getAvgMetric()

### getLastMetric

    public MetricDisplayValue getLastMetric()

### getBeginTimeFrame

    public java.lang.Long getBeginTimeFrame()

  Method getBeginTimeFrame. All metrics displayed are within a timeframe. The beginning of that timeframe is represented as the number of epoch seconds at which the timeframe commences, this method returns that Long value.

  Returns:
    Long

### setBeginTimeFrame

    public void setBeginTimeFrame(java.lang.Long beginTimeFrame)

  Method setBeginTimeFrame. All metrics displayed are within a timeframe. The beginning of that timeframe is represented as the number of epoch seconds at which the timeframe commences, this method sets that Long value.

  Parameters:
    `beginTimeFrame` - The beginTimeFrame to set

### getEndTimeFrame

    public java.lang.Long getEndTimeFrame()

  Method getEndTimeFrame. All metrics displayed are within a timeframe. The end of that timeframe is represented as the number of epoch seconds at which the timeframe is finished, this method returns that Long value.

  Returns:
    Long

### setEndTimeFrame

    public void setEndTimeFrame(java.lang.Long endTimeFrame)

  Method setEndTimeFrame. All metrics displayed are within a timeframe. The end of that timeframe is represented as the number of epoch seconds at which the timeframe is finished, this method sets that Long value.

  Parameters:
    `endTimeFrame` - The endTimeFrame to set

### getTemplateCat

    public java.lang.Integer getTemplateCat()

  Method getMeasurementTemplateType. Returns the id of type of metric that this metric represents

  Returns:
    Integer

### setTemplateCat

    public void setTemplateCat(java.lang.Integer templateCat)

  Method setMeasurementTemplateType. Sets the id of type of metric that this metric represents

  Parameters:
    `templateCat` - The templateCat to set

### getUnits

    public java.lang.String getUnits()

  Method getIntervalUnits. Returns the label for the units of the metric (if not intrinsic to the metric itself) measurement

  Returns:
    String

### setUnits

    public void setUnits(java.lang.String units)

  Method setIntervalUnits. Sets the label for the units of the metric (if not intrinsic to the metric itself) measurement

  Parameters:
    `units` - The units to set

### getCollectionType

    public java.lang.Integer getCollectionType()

  Get the collection type for the metrics. This value matches to MeasurementConstants.COLL_TYPE_*

### setCollectionType

    public void setCollectionType(java.lang.Integer collectionType)

### getShowNumberCollecting

    public java.lang.Boolean getShowNumberCollecting()

  Returns the showNumberCollecting.

  Returns:
    boolean

### getMetricSource

    public java.lang.String getMetricSource()

  Returns:

### setMetricSource

    public void setMetricSource(java.lang.String string)

  Parameters:
    `string` -

### setShowNumberCollecting

    public void setShowNumberCollecting(java.lang.Boolean showNumberCollecting)

  Sets the showNumberCollecting.

  Parameters:
    `showNumberCollecting` - The showNumberCollecting to set

### getDisplayUnits

    public java.lang.String getDisplayUnits()

  Returns:

### setDisplayUnits

    public void setDisplayUnits(java.lang.String string)

  Parameters:
    `string` -

### getDesignated

    public java.lang.Boolean getDesignated()

  Returns:
    Boolean

### setDesignated

    public void setDesignated(java.lang.Boolean designated)

  Sets the designated.

  Parameters:
    `designated` - The designated to set

### getCollecting

    public boolean getCollecting()

### setCollecting

    public void setCollecting(boolean collecting)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MeasurementSummary`

### compareTo

    public int compareTo(java.lang.Object arg0)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.